[88894] users/ryandesign/scripts/portmylivecheck

ryandesign at macports.org ryandesign at macports.org
Sat Jan 14 14:36:53 PST 2012


Revision: 88894
          http://trac.macports.org/changeset/88894
Author:   ryandesign at macports.org
Date:     2012-01-14 14:36:50 -0800 (Sat, 14 Jan 2012)
Log Message:
-----------
portmylivecheck: script to run "port livecheck" quickly on all of my ports

Added Paths:
-----------
    users/ryandesign/scripts/portmylivecheck

Added: users/ryandesign/scripts/portmylivecheck
===================================================================
--- users/ryandesign/scripts/portmylivecheck	                        (rev 0)
+++ users/ryandesign/scripts/portmylivecheck	2012-01-14 22:36:50 UTC (rev 88894)
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+# Creates a Makefile that runs "port livecheck" for each port I maintain,
+# then runs "make" with multiple simultaneous jobs, then deletes the Makefile.
+# The results don't always display in the same order each time, but they do
+# come in much faster.
+
+HANDLE=ryandesign
+JOBS=8
+
+TMPFILE=$(mktemp -t /tmp)
+
+PORTS=$(port echo '(' \
+'maintainer:(\s|^)'$HANDLE'(\s|$)' or \
+'maintainer:(\s|^)'$HANDLE'@macports.org(\s|$)' or \
+'maintainer:(\s|^)macports.org:'$HANDLE'(\s|$)' ')' \
+| sed -E 's/ +//g' \
+| tr '\n' ' ')
+
+echo "all: $PORTS" > $TMPFILE
+echo >> $TMPFILE
+echo ".PHONY: $PORTS" >> $TMPFILE
+
+for PORT in $PORTS; do
+    echo >> $TMPFILE
+    echo "$PORT:" >> $TMPFILE
+    echo $'\t'"port livecheck $PORT" >> $TMPFILE
+done
+
+make -f $TMPFILE -j $JOBS -s || exit $?
+
+rm -f $TMPFILE


Property changes on: users/ryandesign/scripts/portmylivecheck
___________________________________________________________________
Added: svn:executable
   + *
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/macports-changes/attachments/20120114/f9b522c8/attachment.html>


More information about the macports-changes mailing list